Vulnerability Name:

CVE-2018-0732

Assigned:2017-11-30
Published:2018-06-12
Updated:2018-08-10
Summary:During key agreement in a TLS handshake using a DH(E) based ciphersuite a malicious server can send a very large prime value to the client. This will cause the client to spend an unreasonably long period of time generating a key for this prime resulting in a hang until the client has finished. This could be exploited in a Denial Of Service attack. Fixed in OpenSSL 1.1.0i-dev (Affected 1.1.0-1.1.0h). Fixed in OpenSSL 1.0.2p-dev (Affected 1.0.2-1.0.2o).
CVSS v3 Severity:7.5 High (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
6.5 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
3.7 Low (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L)
3.2 Low (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): High
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Low
CVSS v2 Severity:5.0 Medium (CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
2.6 Low (CCN CVSS v2 Vector: AV:N/AC:H/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): High
Athentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
Vulnerability Type:CWE-320
References:Source: BID
Type: VENDOR_ADVISORY
104442

Source: SECTRACK
Type: VENDOR_ADVISORY
1041090

Source: XF
Type: UNKNOWN
openssl-cve20180732-dos(144658)

Source: CONFIRM
Type: VENDOR_ADVISORY
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=3984ef0b72831da8b3ece4745cac4f8575b19098

Source: CONFIRM
Type: VENDOR_ADVISORY
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=ea7abeeabf92b7aca160bdd0208636d4da69f4f4

Source: MLIST
Type: VENDOR_ADVISORY
[debian-lts-announce] 20180728 [SECURITY] [DLA 1449-1] openssl security update

Source: UBUNTU
Type: VENDOR_ADVISORY
USN-3692-1

Source: UBUNTU
Type: VENDOR_ADVISORY
USN-3692-2

Source: CONFIRM
Type: VENDOR_ADVISORY
https://www.openssl.org/news/secadv/20180612.txt

Vulnerable Configuration:Configuration 1:
  • cpe:/a:openssl:openssl:1.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2:beta1:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2:beta2:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2:beta3:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2a:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2b:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2c:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2d:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2e:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2f:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2g:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2h:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2i:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2j:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2k:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2l:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2m:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.0.2n:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0a:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0b:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0c:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0d:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0e:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0f:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0g:*:*:*:*:*:*:*

  • Configuration 2:
  • cpe:/o:canonical:ubuntu_linux:12.04::~~esm~~~:*:*:*:*:*
  • OR cpe:/o:canonical:ubuntu_linux:14.04::~~lts~~~:*:*:*:*:*
  • OR cpe:/o:canonical:ubuntu_linux:16.04::~~lts~~~:*:*:*:*:*
  • OR cpe:/o:canonical:ubuntu_linux:17.10:*:*:*:*:*:*:*
  • OR cpe:/o:canonical:ubuntu_linux:18.04::~~lts~~~:*:*:*:*:*
  • OR cpe:/o:debian:debian_linux:8.0:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:openssl:openssl:1.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:20180732
    V
    CVE-2018-0732
    2018-08-15
    oval:com.ubuntu.artful:def:20180732000
    V
    CVE-2018-0732 on Ubuntu 17.10 (artful) - low.
    2018-06-12
    oval:com.ubuntu.trusty:def:20180732000
    V
    CVE-2018-0732 on Ubuntu 14.04 LTS (trusty) - low.
    2018-06-12
    oval:com.ubuntu.xenial:def:20180732000
    V
    CVE-2018-0732 on Ubuntu 16.04 LTS (xenial) - low.
    2018-06-12
    BACK
    openssl openssl 1.0.2
    openssl openssl 1.0.2 beta1
    openssl openssl 1.0.2 beta2
    openssl openssl 1.0.2 beta3
    openssl openssl 1.0.2a
    openssl openssl 1.0.2b
    openssl openssl 1.0.2c
    openssl openssl 1.0.2d
    openssl openssl 1.0.2e
    openssl openssl 1.0.2f
    openssl openssl 1.0.2g
    openssl openssl 1.0.2h
    openssl openssl 1.0.2i
    openssl openssl 1.0.2j
    openssl openssl 1.0.2k
    openssl openssl 1.0.2l
    openssl openssl 1.0.2m
    openssl openssl 1.0.2n
    openssl openssl 1.1.0
    openssl openssl 1.1.0a
    openssl openssl 1.1.0b
    openssl openssl 1.1.0c
    openssl openssl 1.1.0d
    openssl openssl 1.1.0e
    openssl openssl 1.1.0f
    openssl openssl 1.1.0g
    canonical ubuntu linux 12.04
    canonical ubuntu linux 14.04
    canonical ubuntu linux 16.04
    canonical ubuntu linux 17.10
    canonical ubuntu linux 18.04
    debian debian linux 8.0
    openssl openssl 1.0.2
    openssl openssl 1.1.0